# Models

## The labelUpdate object

```json
{"openapi":"3.0.0","info":{"title":"Label Service","version":"0.0.1"},"components":{"schemas":{"labelUpdate":{"properties":{"name":{"type":"string","description":"Name of the label."},"overlay":{"$ref":"#/components/schemas/overlay"},"description":{"oneOf":[{"type":"string"},{"type":"object","additionalProperties":{"type":"string"}}],"description":"Localized resource description in a form of a map of translations."}},"required":["name","description"]},"overlay":{"description":"If present and `isTrue` is actually true the label should be printed on associated products on the described position.","properties":{"isTrue":{"type":"boolean"},"position":{"type":"number"}},"required":["position"]}}}}
```

## The labelCreation object

```json
{"openapi":"3.0.0","info":{"title":"Label Service","version":"0.0.1"},"components":{"schemas":{"labelCreation":{"allOf":[{"type":"object","properties":{"id":{"type":"string","description":"Unique ID of the label. It will be auto-generated if not provided."}}},{"$ref":"#/components/schemas/labelUpdate"}]},"labelUpdate":{"properties":{"name":{"type":"string","description":"Name of the label."},"overlay":{"$ref":"#/components/schemas/overlay"},"description":{"oneOf":[{"type":"string"},{"type":"object","additionalProperties":{"type":"string"}}],"description":"Localized resource description in a form of a map of translations."}},"required":["name","description"]},"overlay":{"description":"If present and `isTrue` is actually true the label should be printed on associated products on the described position.","properties":{"isTrue":{"type":"boolean"},"position":{"type":"number"}},"required":["position"]}}}}
```

## The label object

```json
{"openapi":"3.0.0","info":{"title":"Label Service","version":"0.0.1"},"components":{"schemas":{"label":{"properties":{"id":{"type":"string","description":"Unique ID of the label."},"name":{"type":"string","description":"Name of the label."},"mediaId":{"type":"string","description":"Id of the media."},"image":{"type":"string","description":"Image URL."},"cloudinaryUrl":{"type":"string","description":"Cludinary path."},"overlay":{"$ref":"#/components/schemas/overlay"},"description":{"oneOf":[{"type":"string"},{"type":"object","additionalProperties":{"type":"string"}}],"description":"Localized resource description in a form of a map of translations."},"metadata":{"$ref":"#/components/schemas/metadata"}}},"overlay":{"description":"If present and `isTrue` is actually true the label should be printed on associated products on the described position.","properties":{"isTrue":{"type":"boolean"},"position":{"type":"number"}},"required":["position"]},"metadata":{"title":"Metadata","description":"Metadata","type":"object","properties":{"createdAt":{"description":"The creation date.","type":"string"},"modifiedAt":{"description":"The modification date.","type":"string"},"version":{"description":"The document version number.","type":"integer"}}}}}}
```

## The overlay object

```json
{"openapi":"3.0.0","info":{"title":"Label Service","version":"0.0.1"},"components":{"schemas":{"overlay":{"description":"If present and `isTrue` is actually true the label should be printed on associated products on the described position.","properties":{"isTrue":{"type":"boolean"},"position":{"type":"number"}},"required":["position"]}}}}
```

## The metadata object

```json
{"openapi":"3.0.0","info":{"title":"Label Service","version":"0.0.1"},"components":{"schemas":{"metadata":{"title":"Metadata","description":"Metadata","type":"object","properties":{"createdAt":{"description":"The creation date.","type":"string"},"modifiedAt":{"description":"The modification date.","type":"string"},"version":{"description":"The document version number.","type":"integer"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.emporix.io/api-references/api-guides/products-labels-and-brands/label-service/api-reference/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
